LOGSAVE(8)

NOME
logsave - salva o resultado de um comando num ficheiro de registo

RESUMO
logsave [ -asv ] logfile cmd_prog [ ... ]

DESCRIÇÃO
O programa logsave irá executar cmd_prog com os argumentos especificados, e guardar uma cópia do seu resultado no logfile. Se o directório para conter o logfile não existir, o logsave irá acumular o resultado em memória até que possa ser escrito. Uma cópia do resultado também será escrita na saída standard.

Se cmd_prog for um único hífen ('-'), então em vez de executar um programa, o logsave irá tomar a sua entrada a partir da entrada standard e guarda-la no logfile.

O logsave é útil para salvar o resultado dos scripts de arranque inicial até que a partição /var seja montada, para que o resultado seja gravado em /var/log.

OPÇÕES

-a  Esta opção irá fazer com que o resultado seja acrescentado ao logfile, em vez de substituir o seu conteúdo actual.

-s  Esta opção fará com que o logsave salte escrever no ficheiro de registo o texto que está envolto com um control-A (ASCII 001 ou Inicio de Cabeçalho) e control-B (ASCII 002 ou Inicio de Texto). Isto permite que a informação da barra de progresso esteja visível par ao utilizador, e não ser escrita no ficheiro de registo.

-v  Esta opção fará com que o logsave seja mais detalhado no seu resultado para o utilizador.

AUTOR
Theodore Ts'o (tytso@mit.edu)

VEJA TAMBÉM
fsck(8)